#!/bin/sh

# Plasma::WebView standalone version
# Copyright 2011 Kevin Kofler <kevin.kofler@chello.at>
#
# This library is free software; you can redistribute it and/or modify it under
# the terms of the GNU Library General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option) any
# later version.
#
# This library is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for more
# details.
#
# You should have received a copy of the GNU Library General Public License
# along with this library.  If not, see <http://www.gnu.org/licenses/>.

# Run this script on the files extracted from kdelibs-4.3.4.tar.bz2 to fix the
# source code to build standalone.
if [ -f plasma_export.h ] ; then
  mv -f plasma_export.h plasma-webview_export.h
fi
sed -i -e 's/PLASMA_EXPORT/PLASMA_WEBVIEW_EXPORT/g' \
       -e 's/MAKE_PLASMA_LIB/MAKE_PLASMA_WEBVIEW_LIB/g' plasma-webview_export.h
sed -i -e 's!<accessmanager\.h>!<kio/accessmanager.h>!g'\
       -e 's!plasma/widgets/webview\.h!webview.h!g' webview.cpp
sed -i -e 's/PLASMA_EXPORT/PLASMA_WEBVIEW_EXPORT/g' \
       -e 's!plasma/plasma_export\.h!plasma-webview_export.h!g' webview.h
